/*
 * @Description: 
 * @Author: ymz
 * @Date: 2021-12-06 10:21:49
 * @LastEditTime: 2021-12-07 11:48:30
 * @LastEditors: ymz
 * @Reference: 
 */


import request from '@/router/axios'


// 查询企业代理商信息
export function queryInfo(query) {
  return request({
    url: '/admin/dept/list-ent-and-agent',
    method: 'get',
    params: query
  })
}

// 查询任务类型配置

export function queryType(id) {
  return request({
    url: '/admin/dept-task-type-config/' + id,
    method: 'get',
  })
}


// 保存
export function saveType(obj) {
  return request({
    url: '/admin/dept-task-type-config/save',
    method: 'post',
    data: obj
  })
}

// 查询企业是否进行了任务类型配置
export function getConfig(query) {
  return request({
    url: '/admin/dept-task-type-config/is-config',
    method: 'get',
    params: query
  })
}

// 查询我的任务
export function getList(query) {
  return request({
    url: '/admin/dept-task-type-config/list-task',
    method: 'get',
    params: query
  })
}


// 获取任务类型树
export function getTypeTree(query) {
  return request({
    url: '/admin/wmtasktype/list-task-type-tree',
    method: 'get',
    params: query
  })
}

export function getReadStatus() {
  return request({
    url: '/admin/biz-reminder/read-status',
    method: 'get',
    params: {
      bizReminderType: 'ASSIGN_POINTS_OTHER_REMINDER'
    }
  })
}